/* Derived class 'Complex' */

#include <iostream>

using namespace std;

#include "Complex.h"


// constructor (default values: 0 and 0)
Complex::Complex( float realInit = 0, float imagInit = 0 ): real(realInit), 
							    imag(imagInit) {
}
       
// read value from 'cin'
void Complex::read() {
  cin >> real >> imag;
}

// write value to 'cout' (object is not changed)
void Complex::write() const {
  cout << real << "+" << imag << "i";
}

// return true, if object is real (object is not changed)
bool Complex::isReal() const {
  if (imag==0) {
    return true;
  }
  else {
    return false;
  }
}

// return real value of complex number
float Complex::getReal() const {
  return real;
}

// return true if object and argument are equal (object is not changed)
bool Complex::operator==( Complex other ) const {
  if ( (real==other.real) && (imag==other.imag) ) {
    return true;
  }
  else {
    return false;
  }
}

// return sum of argument and object (object is not changed)
Complex Complex::operator+( Complex other ) const {
  return Complex( real+other.real, imag+other.imag );
}

// return product of argument and object (object is not changed)
Complex Complex::operator*( Complex other ) const {
  return Complex( real*other.real-imag*other.imag, 
		  real*other.imag+imag*other.real );
}

