#ifndef _Complex_h_
#define _Complex_h_

/**
 * Derived class 'Complex' 
 */

#include "Number.h"

/// 'Complex' is derived from 'Number'
class Complex : public Number
{
 public:
  
  /// constructor (default values: 0 and 0)
  Complex( float realInit = 0, float imagInit = 0 );
       
  /// read value from 'cin'
  virtual void read();         

  /// write value to 'cout' (object is not changed) 
  virtual void write() const;

  /// return true, if object is positive (object is not changed)
  bool isReal() const;  

  /// return real value of complex number
  float getReal() const;

  /// return true if object and argument are equal (object is not changed)
  bool operator==( Complex other ) const;

  /// return sum of argument and object (object is not changed)
  Complex operator+( Complex other ) const;

  /// return product of argument and object (object is not changed)
  Complex operator*( Complex other ) const;

 private:

  /// The real and imaginary value of the complex number
  float real, imag; 
};

#endif
